# Interface methods for submodule: PathToImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: PathToImageFilter
class PathToImageFilterProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, arg0: int, path) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	def SetSpacing(self, spacing) -> None:
		""""""
		...

	def GetSpacing(self):
		""""""
		...

	@overload
	def SetPathValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetPathValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetPathValue(self) -> float:
		""""""
		...

	@overload
	def GetPathValue(self) -> int:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetOrigin(self, origin) -> None:
		""""""
		...

	def GetOrigin(self):
		""""""
		...

	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSize(self) -> Sequence[int]:
		""""""
		...

